# Source: card/ImageCard.js

    /**
     * Copyright (c) 2017 Baidu, Inc. All Rights Reserved.
     *
     * Licensed under the Apache License, Version 2.0 (the "License");
     * you may not use this file except in compliance with the License.
     * You may obtain a copy of the License at
     *
     *   http://www.apache.org/licenses/LICENSE-2.0
     *
     * Unless required by applicable law or agreed to in writing, software
     * distributed under the License is distributed on an "AS IS" BASIS,
     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     * See the License for the specific language governing permissions and
     * limitations under the License.
     */

    'use strict';

    const BaseCard = require('./BaseCard');

    /**
     * @class ImageCard 全图卡片
     * @extends {BaseCard}
     */
    class ImageCard extends BaseCard {

        /**
         * 构造函数
         **/
        constructor () {
            super();
            this.data.type = 'image';
        }

        /**
         * 添加一个图片项
         *
         * @example
         * this.addItem('http://image.src', 'http://thumbnail.src');
         * this.addItem('http://image.src');
         *
         * @param {string} src 图片地址
         * @param {string} thumbnail 图片缩率图地址. 可选
         * @return {ImageCard} 返回自己
         * @public
         **/
        addItem(src, thumbnail = ''){
            if (!src) {
                return this;
            }

            this.data.list = this.data.list || [];

            let item = {src: src};
            if (thumbnail) {
                item.thumbnail = thumbnail;
            }

            this.data.list.push(item);
            return this;
        }
    }

    module.exports = ImageCard;